# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=lvm2
pkgver=2.03.16
pkgrel=1
arch=('x86_64')
url="https://sourceware.org/lvm2/"
license=('GPL2' 'LGPL2.1')
groups=('base')
depends=('libaio')
makedepends=('systemd')
backup=(etc/lvm/lvm.conf
    etc/lvm/lvmlocal.conf)
source=(https://sourceware.org/ftp/lvm2/LVM2.${pkgver}.tgz)
sha256sums=(e661ece15b5d88d8abe39a4c1e1db2f43e1896f019948bb98b0e15d777680786)

build() {
    cd LVM2.${pkgver}

    PATH+=:/usr/sbin 
    ${configure}                     \
        --with-usrlibdir=/usr/lib64  \
        --enable-cmdlib              \
        --enable-pkgconfig           \
        --enable-udev_sync

    make
}

package() {
    cd LVM2.${pkgver}

    make DESTDIR=${pkgdir} install install_systemd_units

    sed -e '/locking_dir =/{s/#//;s/var/run/}' \
        -i ${pkgdir}/etc/lvm/lvm.conf
}
